XF 2.2 XF 2.2.9 and PHP 8.1

FTL

Well-known member
Great to see XF 229 released just now, looking forward to installing it. Just a quick clarification please.

I see that compatibility with PHP 8.1 has been improved in several areas, but is it now recommended to use it on a production system?

It seems to me it still isn't, especially as the system requirements page shows as below. I want to use the highest version of PHP that's recommended.


1649873229004.png
 

PASS

Well-known member
2022-08-01_11-31-37.png

Just upgraded to PHP 8.1.8 and MariaDB 10.6.8. No issues after the fix for MariaDB here:
 

Tracy Perry

Well-known member
hello everyone, now try to download
Download what?
If XenForo... you go to your account at https://xenforo.com/customers/ and sign in and you can download any version up to your last active license date.
Don't have an account? Once you purchase a copy you will have one.
Looking for the files themself to download? See second sentence.
Looking for a "free" version... no such critter legally.
 
  • Like
Reactions: FTL

FTL

Well-known member
Is anyone using the latest XenForo 2.2.10 Patch 1 with the latest PHP 8.1.10 released 3 days ago? I'm just wondering how well it's all working, given that XF is still only officially rated for PHP 8.0.x.
 
Top